## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::OutputContextPushPop Class Reference

`#include <StylesheetExecutionContext.hpp>`

Collaboration diagram for StylesheetExecutionContext::OutputContextPushPop:

List of all members.

## Public Methods

- OutputContextPushPop ( StylesheetExecutionContext& theExecutionContext, FormatterListener* theNewListener = 0)
    Construct an object to push and pop the current output context. More...
- ~OutputContextPushPop ()

## Constructor & Destructor Documentation

StylesheetExecutionContext::OutputContextPushPop::OutputContextPushPop ( | StylesheetExecutionContext & theExecutionContext,
| FormatterListener * theNewListener = 0 )

Construct an object to push and pop the current output context.

Parameters:

  theExecutionContext | a reference to the current execution context
  theNewListener | the new FormatterListener to set.

StylesheetExecutionContext::OutputContextPushPop::~OutputContextPushPop ( | )`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.